Get inbound agent
curl --request GET \
--url https://dashboard.ondial.ai/api/v1/inbound-agents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.ondial.ai/api/v1/inbound-agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dashboard.ondial.ai/api/v1/inbound-agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agent": {
"id": "<string>",
"_id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"category": "<string>",
"status": "active",
"inboundScriptStatus": "none",
"greetingMessage": "<string>",
"companyId": "<string>",
"selectedKnowledgebases": [
{
"fileId": "<string>",
"fileName": "<string>",
"title": "<string>",
"knowledgebaseId": "<string>",
"wordCount": 123
}
],
"appointmentScope": "global",
"branchId": "<string>",
"doctorId": "<string>",
"slotsEnabled": true,
"bookingEnabled": true,
"doctorsSyncEnabled": true,
"validateHookEnabled": true,
"doctorsLastSyncedAt": "2023-11-07T05:31:56Z",
"customApiBaseUrl": "<string>"
}
}{
"error": "Invalid or inactive API key",
"reasonCode": "unauthorized"
}{
"error": "Not found",
"reasonCode": "not_found"
}Get inbound agent
Fetch one inbound agent by id.
GET
/
api
/
v1
/
inbound-agents
/
{id}
Get inbound agent
curl --request GET \
--url https://dashboard.ondial.ai/api/v1/inbound-agents/{id} \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://dashboard.ondial.ai/api/v1/inbound-agents/{id}', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://dashboard.ondial.ai/api/v1/inbound-agents/{id}"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text){
"agent": {
"id": "<string>",
"_id": "<string>",
"name": "<string>",
"phoneNumber": "<string>",
"category": "<string>",
"status": "active",
"inboundScriptStatus": "none",
"greetingMessage": "<string>",
"companyId": "<string>",
"selectedKnowledgebases": [
{
"fileId": "<string>",
"fileName": "<string>",
"title": "<string>",
"knowledgebaseId": "<string>",
"wordCount": 123
}
],
"appointmentScope": "global",
"branchId": "<string>",
"doctorId": "<string>",
"slotsEnabled": true,
"bookingEnabled": true,
"doctorsSyncEnabled": true,
"validateHookEnabled": true,
"doctorsLastSyncedAt": "2023-11-07T05:31:56Z",
"customApiBaseUrl": "<string>"
}
}{
"error": "Invalid or inactive API key",
"reasonCode": "unauthorized"
}{
"error": "Not found",
"reasonCode": "not_found"
}Authorizations
Paste only your API key (ond_live_… or ond_test_…). Do not type the word Bearer — the playground adds it.
Path Parameters
Response
Agent
Hide child attributes
Hide child attributes
Available options:
active, inactive Available options:
none, generating, ready, error Linked company profile id from GET /api/v1/companies
Linked KB docs (metadata only). Assign with fileId list from GET /api/v1/knowledge-bases/documents.
Available options:
global, hospital, doctor 
